JspConfigDescriptorImpl (Apache Tomcat 11.0.8 API Documentation)
Description: declaration: package: org.apache.tomcat.util.descriptor.web, class: JspConfigDescriptorImpl

# Class JspConfigDescriptorImpl

java.lang.Object
org.apache.tomcat.util.descriptor.web.JspConfigDescriptorImpl

All Implemented Interfaces:
  `JspConfigDescriptor`

public class JspConfigDescriptorImpl extends Object implements JspConfigDescriptor

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JspConfigDescriptorImpl(Collection<JspPropertyGroupDescriptor> jspPropertyGroups, Collection<TaglibDescriptor> taglibs)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<JspPropertyGroupDescriptor>`
  `getJspPropertyGroups()`
  Provide the set of JSP property groups obtained from the <jsp-config> elements in the web application's deployment descriptors.
  `Collection<TaglibDescriptor>`
  `getTaglibs()`
  Provide the set of tag library descriptors obtained from the <jsp-config> elements in the web application's deployment descriptors.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JspConfigDescriptorImpl

    public JspConfigDescriptorImpl(Collection<JspPropertyGroupDescriptor> jspPropertyGroups, Collection<TaglibDescriptor> taglibs)

- ## Method Details

  - ### getJspPropertyGroups

    public Collection<JspPropertyGroupDescriptor> getJspPropertyGroups()
    Description copied from interface: `jakarta.servlet.descriptor.JspConfigDescriptor`
    Provide the set of JSP property groups obtained from the <jsp-config> elements in the web application's deployment descriptors.
    Specified by:
      `getJspPropertyGroups` in interface `JspConfigDescriptor`
    Returns:
      the JSP property groups

  - ### getTaglibs

    public Collection<TaglibDescriptor> getTaglibs()
    Description copied from interface: `jakarta.servlet.descriptor.JspConfigDescriptor`
    Provide the set of tag library descriptors obtained from the <jsp-config> elements in the web application's deployment descriptors.
    Specified by:
      `getTaglibs` in interface `JspConfigDescriptor`
    Returns:
      the tag library descriptors